Create an Elastic Endpoint rule exception list
- Base URL
-
https://{kibana_url}
- POST /api/endpoint_list
- POST /s/{space_id}/api/endpoint_list
Create the exception list for Elastic Endpoint rule exceptions. When you create the exception list, it will have a list_id of endpoint_list. If the Elastic Endpoint exception list already exists, your request will return an empty response.
Path parameters
-
space_idstringoptional -
An identifier for the space. If
space_idis not provided in the URL, the default space is used. Refer to Spaces for more information.
Responses
Successful response
-
_versionstring -
The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
-
list_idstring · format: nonempty · min length: 1required -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklistendpoint_custom_yara_signatures: Custom YARA signatures list
-
namespace_typeenumrequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle -
os_typesenum[] -
Use this field to specify the operating system. Only enter one value.
-
Values:
linuxmacoswindows -
tie_breaker_idstringrequired -
Field used in search to ensure all containers are sorted and returned correctly.
-
typeenumrequired -
The type of exception list to be created. Different list types may denote where they can be utilized.
-
Values:
detectionrule_defaultendpointendpoint_trusted_appsendpoint_trusted_devicesendpoint_eventsendpoint_host_isolation_exceptionsendpoint_blocklistsendpoint_custom_yara_signatures
Invalid input data
Unsuccessful authentication
Insufficient privileges